﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[RequireComponent(typeof(Rigidbody))]
[ExecuteInEditMode]
[AddComponentMenu("Coding Examples/Syntax")]
public class SyntaxExample : MonoBehaviour
{
    [Header("Player Setup --------------")] public string playerName = "";
    [Tooltip ( "0 to 100 for player health value" )] [Range ( 0, 100 )] public int health = 100;
    [Range ( 0, 1 )] public float speed = 0.5f;
    [TextArea] public string description = "";
    [HideInInspector] public bool isDead = false;

    Rigidbody rb;

    private void Start ()
    {
        rb = GetComponent<Rigidbody> ();
        rb.AddForce ( Vector3.up );
    }
    private void Update ()
    {
        Debug.Log ( "Editor causes this to update" );

    }
}
