﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class CodeExamples : MonoBehaviour
{
    public string playerName = "default";
    public enum PlayerState { idle, move, jump, attack, die };
    public PlayerState playerState = PlayerState.idle;
    public string value = "";

    private void Start ()
    {
        Debug.Log ( "My first debug log!" );
    }

    private void Update ()
    {
        if ( Input.GetKeyDown ( "a" ) )
        {
            Debug.LogWarning ( "<color=yellow>Key 'a' has been pressed.</color>" );

            Debug.LogError ( "Player name: " + playerName );
        }

        switch ( playerState )
        {
            case PlayerState.idle: value = "Player is idling"; break;
            case PlayerState.move: value = "Player is moving"; break;
            case PlayerState.jump: value = "Player is jumping"; break;
            case PlayerState.attack: value = "Player is attacking"; break;
            case PlayerState.die: value = "Player died"; break;
        }

        Debug.Log ( value );
    }
}
